searchNodes=[{"doc":"Atoms representing type of account.","ref":"XtbClient.AccountType.html","title":"XtbClient.AccountType","type":"module"},{"doc":"Format an atom representing main type of the account to string.","ref":"XtbClient.AccountType.html#format_main/1","title":"XtbClient.AccountType.format_main/1","type":"function"},{"doc":"Format and atom representing streaming type of the account to string.","ref":"XtbClient.AccountType.html#format_streaming/1","title":"XtbClient.AccountType.format_streaming/1","type":"function"},{"doc":"","ref":"XtbClient.AccountType.html#t:t/0","title":"XtbClient.AccountType.t/0","type":"type"},{"doc":"GenServer which handles all commands and queries issued to XTB platform. Acts as a proxy process between the client and the underlying main and streaming socket. After successful initialization the process should hold references to both XtbClient.MainSocket and XtbClient.StreamingSocket processes, so it can mediate all commands and queries from the caller to the connected socket. For the synchronous operations clients should expect to get results as the function returned value. Example of synchronous call params = %{ app_name : &quot;XtbClient&quot; , type : :demo , url : &quot;wss://ws.xtb.com&quot; , user : &quot;&lt;&lt;USER_ID&gt;&gt;&quot; , password : &quot;&lt;&lt;PASSWORD&gt;&gt;&quot; } { :ok , pid } = XtbClient.Connection . start_link ( params ) version = XtbClient.Connection . get_version ( pid ) # expect to see the actual version of the backend server Asynchronous operations, mainly subscribe_ functions, returns immediately and stores the pid of the subscriber, so later it can send the message there. Note that each subscribe_ function expects the subscriber as an argument, so XtbClient.Connection could serve different types of events to different subscribers. Only limitation is that each subscribe_ function handles only one subscriber. Example of asynchronous call defmodule StreamListener do use GenServer def start_link ( args ) do name = Map . get ( args , &quot;name&quot; ) |&gt; String . to_atom ( ) GenServer . start_link ( __MODULE__ , args , name : name ) end @impl true def init ( state ) do { :ok , state } end @impl true def handle_info ( message , state ) do IO . inspect ( { self ( ) , message } , label : &quot;Listener handle info&quot; ) { :noreply , state } end end params = %{ app_name : &quot;XtbClient&quot; , type : :demo , url : &quot;wss://ws.xtb.com&quot; , user : &quot;&lt;&lt;USER_ID&gt;&gt;&quot; , password : &quot;&lt;&lt;PASSWORD&gt;&gt;&quot; } { :ok , cpid } = XtbClient.Connection . start_link ( params ) args = %{ symbol : &quot;LITECOIN&quot; } query = XtbClient.Messages.Quotations.Query . new ( args ) { :ok , lpid } = StreamListener . start_link ( %{ &quot;name&quot; =&gt; args . symbol } ) XtbClient.Connection . subscribe_get_tick_prices ( cpid , lpid , query ) # expect to see logs from StreamListener process with tick pricess logged","ref":"XtbClient.Connection.html","title":"XtbClient.Connection","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"XtbClient.Connection.html#child_spec/1","title":"XtbClient.Connection.child_spec/1","type":"function"},{"doc":"Returns array of all symbols available for the user.","ref":"XtbClient.Connection.html#get_all_symbols/1","title":"XtbClient.Connection.get_all_symbols/1","type":"function"},{"doc":"Returns calendar with market events.","ref":"XtbClient.Connection.html#get_calendar/1","title":"XtbClient.Connection.get_calendar/1","type":"function"},{"doc":"Returns chart info from start date to the current time. If the chosen period of XtbClient.Messages.ChartLast.Query is greater than 1 minute, the last candle returned by the API can change until the end of the period (the candle is being automatically updated every minute). Limitations: there are limitations in charts data availability. Detailed ranges for charts data, what can be accessed with specific period, are as follows: PERIOD_M1 --- &lt;0-1) month, i.e. one month time PERIOD_M30 --- &lt;1-7) month, six months time PERIOD_H4 --- &lt;7-13) month, six months time PERIOD_D1 --- 13 month, and earlier on Note, that specific PERIOD_ is the lowest (i.e. the most detailed) period, accessible in listed range. For instance, in months range &lt;1-7) you can access periods: PERIOD_M30, PERIOD_H1, PERIOD_H4, PERIOD_D1, PERIOD_W1, PERIOD_MN1. Specific data ranges availability is guaranteed, however those ranges may be wider, e.g.: PERIOD_M1 may be accessible for 1.5 months back from now, where 1.0 months is guaranteed. Example scenario: request charts of 5 minutes period, for 3 months time span, back from now; response: you are guaranteed to get 1 month of 5 minutes charts; because, 5 minutes period charts are not accessible 2 months and 3 months back from now Please note that this function can be usually replaced by its streaming equivalent subscribe_get_candles/3 which is the preferred way of retrieving current candle data.","ref":"XtbClient.Connection.html#get_chart_last/2","title":"XtbClient.Connection.get_chart_last/2","type":"function"},{"doc":"Returns chart info with data between given start and end dates. Limitations: there are limitations in charts data availability. Detailed ranges for charts data, what can be accessed with specific period, are as follows: PERIOD_M1 --- &lt;0-1) month, i.e. one month time PERIOD_M30 --- &lt;1-7) month, six months time PERIOD_H4 --- &lt;7-13) month, six months time PERIOD_D1 --- 13 month, and earlier on Note, that specific PERIOD_ is the lowest (i.e. the most detailed) period, accessible in listed range. For instance, in months range &lt;1-7) you can access periods: PERIOD_M30, PERIOD_H1, PERIOD_H4, PERIOD_D1, PERIOD_W1, PERIOD_MN1. Specific data ranges availability is guaranteed, however those ranges may be wider, e.g.: PERIOD_M1 may be accessible for 1.5 months back from now, where 1.0 months is guaranteed. Please note that this function can be usually replaced by its streaming equivalent subscribe_get_candles/3 which is the preferred way of retrieving current candle data.","ref":"XtbClient.Connection.html#get_chart_range/2","title":"XtbClient.Connection.get_chart_range/2","type":"function"},{"doc":"Returns calculation of commission and rate of exchange. The value is calculated as expected value and therefore might not be perfectly accurate.","ref":"XtbClient.Connection.html#get_commission_def/2","title":"XtbClient.Connection.get_commission_def/2","type":"function"},{"doc":"Returns information about account currency and account leverage.","ref":"XtbClient.Connection.html#get_current_user_data/1","title":"XtbClient.Connection.get_current_user_data/1","type":"function"},{"doc":"Returns IBs data from the given time range.","ref":"XtbClient.Connection.html#get_ibs_history/2","title":"XtbClient.Connection.get_ibs_history/2","type":"function"},{"doc":"Returns various account indicators. Please note that this function can be usually replaced by its streaming equivalent subscribe_get_balance/2 which is the preferred way of retrieving current account indicators.","ref":"XtbClient.Connection.html#get_margin_level/1","title":"XtbClient.Connection.get_margin_level/1","type":"function"},{"doc":"Returns expected margin for given instrument and volume. The value is calculated as expected margin value and therefore might not be perfectly accurate.","ref":"XtbClient.Connection.html#get_margin_trade/2","title":"XtbClient.Connection.get_margin_trade/2","type":"function"},{"doc":"Returns news from trading server which were sent within specified period of time. Please note that this function can be usually replaced by its streaming equivalent subscribe_get_news/2 which is the preferred way of retrieving news data.","ref":"XtbClient.Connection.html#get_news/2","title":"XtbClient.Connection.get_news/2","type":"function"},{"doc":"Calculates estimated profit for given deal data. Should be used for calculator-like apps only. Profit for opened transactions should be taken from server, due to higher precision of server calculation.","ref":"XtbClient.Connection.html#get_profit_calculation/2","title":"XtbClient.Connection.get_profit_calculation/2","type":"function"},{"doc":"Returns current time on trading server.","ref":"XtbClient.Connection.html#get_server_time/1","title":"XtbClient.Connection.get_server_time/1","type":"function"},{"doc":"Returns a list of step rules for DMAs.","ref":"XtbClient.Connection.html#get_step_rules/1","title":"XtbClient.Connection.get_step_rules/1","type":"function"},{"doc":"Returns information about symbol available for the user.","ref":"XtbClient.Connection.html#get_symbol/2","title":"XtbClient.Connection.get_symbol/2","type":"function"},{"doc":"Returns array of current quotations for given symbols, only quotations that changed from given timestamp are returned. New timestamp obtained from output will be used as an argument of the next call of this command. Please note that this function can be usually replaced by its streaming equivalent subscribe_get_tick_prices/3 which is the preferred way of retrieving ticks data.","ref":"XtbClient.Connection.html#get_tick_prices/2","title":"XtbClient.Connection.get_tick_prices/2","type":"function"},{"doc":"Returns array of trades listed in orders query.","ref":"XtbClient.Connection.html#get_trade_records/2","title":"XtbClient.Connection.get_trade_records/2","type":"function"},{"doc":"Returns array of user's trades. Please note that this function can be usually replaced by its streaming equivalent subscribe_get_trades/2 which is the preferred way of retrieving trades data.","ref":"XtbClient.Connection.html#get_trades/2","title":"XtbClient.Connection.get_trades/2","type":"function"},{"doc":"Returns array of user's trades which were closed within specified period of time.","ref":"XtbClient.Connection.html#get_trades_history/2","title":"XtbClient.Connection.get_trades_history/2","type":"function"},{"doc":"Returns quotes and trading times.","ref":"XtbClient.Connection.html#get_trading_hours/2","title":"XtbClient.Connection.get_trading_hours/2","type":"function"},{"doc":"Returns the current API version.","ref":"XtbClient.Connection.html#get_version/1","title":"XtbClient.Connection.get_version/1","type":"function"},{"doc":"Starts a XtbClient.Connection process linked to the calling process.","ref":"XtbClient.Connection.html#start_link/1","title":"XtbClient.Connection.start_link/1","type":"function"},{"doc":"Allows to get actual account indicators values in real-time, as soon as they are available in the system. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.BalanceInfo struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_balance/2","title":"XtbClient.Connection.subscribe_get_balance/2","type":"function"},{"doc":"Subscribes for API chart candles. The interval of every candle is 1 minute. A new candle arrives every minute. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.Candle struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_candles/3","title":"XtbClient.Connection.subscribe_get_candles/3","type":"function"},{"doc":"Subscribes for news. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.NewsInfo struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_news/2","title":"XtbClient.Connection.subscribe_get_news/2","type":"function"},{"doc":"Subscribes for profits. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.ProfitInfo struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_profits/2","title":"XtbClient.Connection.subscribe_get_profits/2","type":"function"},{"doc":"Establishes subscription for quotations and allows to obtain the relevant information in real-time, as soon as it is available in the system. The subscribe_get_tick_prices/3 command can be invoked many times for the same symbol, but only one subscription for a given symbol will be created. Please beware that when multiple records are available, the order in which they are received is not guaranteed. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.TickPrice struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_tick_prices/3","title":"XtbClient.Connection.subscribe_get_tick_prices/3","type":"function"},{"doc":"Allows to get status for sent trade requests in real-time, as soon as it is available in the system. Please beware that when multiple records are available, the order in which they are received is not guaranteed. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.TradeStatus struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_trade_status/2","title":"XtbClient.Connection.subscribe_get_trade_status/2","type":"function"},{"doc":"Establishes subscription for user trade status data and allows to obtain the relevant information in real-time, as soon as it is available in the system. Please beware that when multiple records are available, the order in which they are received is not guaranteed. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.TradeInfo struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_get_trades/2","title":"XtbClient.Connection.subscribe_get_trades/2","type":"function"},{"doc":"Subscribes for 'keep alive' messages. A new 'keep alive' message is sent by the API every 3 seconds. Operation is asynchronous, so the immediate response is an :ok atom. When the new data are available, the XtbClient.Messages.KeepAlive struct is sent to the subscriber process.","ref":"XtbClient.Connection.html#subscribe_keep_alive/2","title":"XtbClient.Connection.subscribe_keep_alive/2","type":"function"},{"doc":"Starts trade transaction. trade_transaction/2 sends main transaction information to the server. How to verify that the trade request was accepted? The status field set to 'true' does not imply that the transaction was accepted. It only means, that the server acquired your request and began to process it. To analyse the status of the transaction (for example to verify if it was accepted or rejected) use the trade_transaction_status/2 command with the order number that came back with the response of the trade_transaction/2 command.","ref":"XtbClient.Connection.html#trade_transaction/2","title":"XtbClient.Connection.trade_transaction/2","type":"function"},{"doc":"Returns current transaction status. At any time of transaction processing client might check the status of transaction on server side. In order to do that client must provide unique order taken from trade_transaction/2 invocation.","ref":"XtbClient.Connection.html#trade_transaction_status/2","title":"XtbClient.Connection.trade_transaction_status/2","type":"function"},{"doc":"","ref":"XtbClient.Connection.html#t:client/0","title":"XtbClient.Connection.client/0","type":"type"},{"doc":"WebSocket server used for synchronous communication. MainSocket is being used like standard GenServer - could be started with start_link/1 and supervised. After successful connection to WebSocket the flow is: process casts login command to obtain session with backend server, process schedules to itself the ping command (with recurring interval) - to maintain persistent connection with backend.","ref":"XtbClient.MainSocket.html","title":"XtbClient.MainSocket","type":"module"},{"doc":"Casts query to get data from the backend server. Might be also used to send command to the backend server. Arguments server pid of the main socket process, caller pid of the caller awaiting for the result, ref unique reference of the query, method name of the query method, params [optional] arguments of the method . Result of the query will be delivered to message mailbox of the caller process.","ref":"XtbClient.MainSocket.html#query/4","title":"XtbClient.MainSocket.query/4","type":"function"},{"doc":"","ref":"XtbClient.MainSocket.html#query/5","title":"XtbClient.MainSocket.query/5","type":"function"},{"doc":"Starts a XtbClient.MainSocket process linked to the calling process.","ref":"XtbClient.MainSocket.html#start_link/1","title":"XtbClient.MainSocket.start_link/1","type":"function"},{"doc":"Casts query to get streaming session ID. Arguments server pid of the main socket process, caller pid of the caller awaiting for the result. Result of the query will be delivered to message mailbox of the caller process.","ref":"XtbClient.MainSocket.html#stream_session_id/2","title":"XtbClient.MainSocket.stream_session_id/2","type":"function"},{"doc":"","ref":"XtbClient.MainSocket.html#t:client/0","title":"XtbClient.MainSocket.client/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.html","title":"XtbClient.Messages","type":"module"},{"doc":"","ref":"XtbClient.Messages.html#decode_message/2","title":"XtbClient.Messages.decode_message/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.html#format_period/1","title":"XtbClient.Messages.format_period/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.html#parse_period/1","title":"XtbClient.Messages.parse_period/1","type":"function"},{"doc":"Info about current account indicators. Parameters balance balance in account currency, cash_stock_value value of stock in cash, credit credit, currency user currency, equity sum of balance and all profits in account currency, equity_fx equity FX, margin margin requirements in account currency, margin_free free margin in account currency, margin_level margin level percentage, stock_lock stock lock, stock_value stock value. Handled Api methods getBalance getMarginLevel","ref":"XtbClient.Messages.BalanceInfo.html","title":"XtbClient.Messages.BalanceInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.BalanceInfo.html#match/2","title":"XtbClient.Messages.BalanceInfo.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.BalanceInfo.html#new/1","title":"XtbClient.Messages.BalanceInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.BalanceInfo.html#t:t/0","title":"XtbClient.Messages.BalanceInfo.t/0","type":"type"},{"doc":"Calendar event. Parameters country two letter country code, current market value (current), empty before time of release of this value (time from &quot;time&quot; record), forecast forecasted value, impact impact on market, period information period, previous value from previous information release, time time, when the information will be released (in this time empty &quot;current&quot; value should be changed with exact released value), title name of the indicator for which values will be released.","ref":"XtbClient.Messages.CalendarInfo.html","title":"XtbClient.Messages.CalendarInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.CalendarInfo.html#new/1","title":"XtbClient.Messages.CalendarInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.CalendarInfo.html#t:t/0","title":"XtbClient.Messages.CalendarInfo.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.CalendarInfo s. Parameters data array or results. Handled Api methods getCalendar","ref":"XtbClient.Messages.CalendarInfos.html","title":"XtbClient.Messages.CalendarInfos","type":"module"},{"doc":"","ref":"XtbClient.Messages.CalendarInfos.html#match/2","title":"XtbClient.Messages.CalendarInfos.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.CalendarInfos.html#new/1","title":"XtbClient.Messages.CalendarInfos.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.CalendarInfos.html#t:t/0","title":"XtbClient.Messages.CalendarInfos.t/0","type":"type"},{"doc":"Info representing aggregated price &amp; volume values for candle. Default interval for one candle is one minute. Parameters open open price in base currency, high highest value in the given period in base currency, low lowest value in the given period in base currency, close close price in base currency, vol volume in lots, ctm candle start time in CET time zone (Central European Time), ctm_string string representation of the ctm field, quote_id source of price, see XtbClient.Messages.QuoteId , symbol symbol name.","ref":"XtbClient.Messages.Candle.html","title":"XtbClient.Messages.Candle","type":"module"},{"doc":"","ref":"XtbClient.Messages.Candle.html#new/1","title":"XtbClient.Messages.Candle.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Candle.html#new/2","title":"XtbClient.Messages.Candle.new/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.Candle.html#t:t/0","title":"XtbClient.Messages.Candle.t/0","type":"type"},{"doc":"Query result for XtbClient.Messages.Candle s. Returns one XtbClient.Messages.Candle at a time. Handled Api methods getCandles","ref":"XtbClient.Messages.Candles.html","title":"XtbClient.Messages.Candles","type":"module"},{"doc":"","ref":"XtbClient.Messages.Candles.html#match/2","title":"XtbClient.Messages.Candles.match/2","type":"function"},{"doc":"Info about query for candles. Parameters symbol symbol name.","ref":"XtbClient.Messages.Candles.Query.html","title":"XtbClient.Messages.Candles.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.Candles.Query.html#new/1","title":"XtbClient.Messages.Candles.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Candles.Query.html#t:t/0","title":"XtbClient.Messages.Candles.Query.t/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.ChartLast.html","title":"XtbClient.Messages.ChartLast","type":"module"},{"doc":"Parameters for last chart query. Parameters period an atom of XtbClient.Messages.Period type, describing the time interval for the query start start of chart block (rounded down to the nearest interval and excluding) symbol symbol name.","ref":"XtbClient.Messages.ChartLast.Query.html","title":"XtbClient.Messages.ChartLast.Query","type":"module"},{"doc":"Creates new query with mandatory arguments.","ref":"XtbClient.Messages.ChartLast.Query.html#new/1","title":"XtbClient.Messages.ChartLast.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ChartLast.Query.html#t:t/0","title":"XtbClient.Messages.ChartLast.Query.t/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.ChartRange.html","title":"XtbClient.Messages.ChartRange","type":"module"},{"doc":"Parameters for chart range query. Parameters start start of chart block (rounded down to the nearest interval and excluding), end end of chart block (rounded down to the nearest interval and excluding), period period, see XtbClient.Messages.Period , symbol symbol name, ticks number of ticks needed, this field is optional, please read the description below. Ticks Ticks field - if ticks is not set or value is 0 , getChartRangeRequest works as before (you must send valid start and end time fields). If ticks value is not equal to 0 , field end is ignored. If ticks &gt;0 (e.g. N ) then API returns N candles from time start. If ticks &lt;0 then API returns N candles to time start. It is possible for API to return fewer chart candles than set in tick field.","ref":"XtbClient.Messages.ChartRange.Query.html","title":"XtbClient.Messages.ChartRange.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.ChartRange.Query.html#new/1","title":"XtbClient.Messages.ChartRange.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ChartRange.Query.html#t:t/0","title":"XtbClient.Messages.ChartRange.Query.t/0","type":"type"},{"doc":"Query result for commission definition. Parameters commission calculated commission in account currency, rate_of_exchange rate of exchange between account currency and instrument base currency. Handled Api methods getCommissionDef","ref":"XtbClient.Messages.CommissionDefinition.html","title":"XtbClient.Messages.CommissionDefinition","type":"module"},{"doc":"","ref":"XtbClient.Messages.CommissionDefinition.html#match/2","title":"XtbClient.Messages.CommissionDefinition.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.CommissionDefinition.html#new/1","title":"XtbClient.Messages.CommissionDefinition.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.CommissionDefinition.html#t:t/0","title":"XtbClient.Messages.CommissionDefinition.t/0","type":"type"},{"doc":"Info about time range - stores start and end information as milliseconds in Unix format.","ref":"XtbClient.Messages.DateRange.html","title":"XtbClient.Messages.DateRange","type":"module"},{"doc":"","ref":"XtbClient.Messages.DateRange.html#new/1","title":"XtbClient.Messages.DateRange.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.DateRange.html#t:t/0","title":"XtbClient.Messages.DateRange.t/0","type":"type"},{"doc":"Atoms representing day of week.","ref":"XtbClient.Messages.Day.html","title":"XtbClient.Messages.Day","type":"module"},{"doc":"Parse an integer value as a valid atom representing day of week.","ref":"XtbClient.Messages.Day.html#parse/1","title":"XtbClient.Messages.Day.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Day.html#t:day_code/0","title":"XtbClient.Messages.Day.day_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.Day.html#t:t/0","title":"XtbClient.Messages.Day.t/0","type":"type"},{"doc":"Info representing response from the server sent to keep alive command. Parameters timestamp current timestamp. Handled Api methods getKeepAlive","ref":"XtbClient.Messages.KeepAlive.html","title":"XtbClient.Messages.KeepAlive","type":"module"},{"doc":"","ref":"XtbClient.Messages.KeepAlive.html#match/2","title":"XtbClient.Messages.KeepAlive.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.KeepAlive.html#new/1","title":"XtbClient.Messages.KeepAlive.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.KeepAlive.html#t:t/0","title":"XtbClient.Messages.KeepAlive.t/0","type":"type"},{"doc":"Atoms representing margin mode.","ref":"XtbClient.Messages.MarginMode.html","title":"XtbClient.Messages.MarginMode","type":"module"},{"doc":"Parse an integer value as a valid atom for margin mode.","ref":"XtbClient.Messages.MarginMode.html#parse/1","title":"XtbClient.Messages.MarginMode.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.MarginMode.html#t:margin_code/0","title":"XtbClient.Messages.MarginMode.margin_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.MarginMode.html#t:t/0","title":"XtbClient.Messages.MarginMode.t/0","type":"type"},{"doc":"Info about calculated margin in account currency. Properties margin value of margin. Handled Api methods getMarginTrade","ref":"XtbClient.Messages.MarginTrade.html","title":"XtbClient.Messages.MarginTrade","type":"module"},{"doc":"","ref":"XtbClient.Messages.MarginTrade.html#match/2","title":"XtbClient.Messages.MarginTrade.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.MarginTrade.html#new/1","title":"XtbClient.Messages.MarginTrade.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.MarginTrade.html#t:t/0","title":"XtbClient.Messages.MarginTrade.t/0","type":"type"},{"doc":"Info about recent news. Properties body body of message, body_length body length, key news key, time time of news, time_string string version of time , title news title.","ref":"XtbClient.Messages.NewsInfo.html","title":"XtbClient.Messages.NewsInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.NewsInfo.html#new/1","title":"XtbClient.Messages.NewsInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.NewsInfo.html#t:t/0","title":"XtbClient.Messages.NewsInfo.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.NewsInfo s. Parameters data array or results. Handled Api methods getNews","ref":"XtbClient.Messages.NewsInfos.html","title":"XtbClient.Messages.NewsInfos","type":"module"},{"doc":"","ref":"XtbClient.Messages.NewsInfos.html#match/2","title":"XtbClient.Messages.NewsInfos.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.NewsInfos.html#new/1","title":"XtbClient.Messages.NewsInfos.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.NewsInfos.html#t:t/0","title":"XtbClient.Messages.NewsInfos.t/0","type":"type"},{"doc":"Atoms for operation codes.","ref":"XtbClient.Messages.Operation.html","title":"XtbClient.Messages.Operation","type":"module"},{"doc":"Format operation atom as integer value.","ref":"XtbClient.Messages.Operation.html#format/1","title":"XtbClient.Messages.Operation.format/1","type":"function"},{"doc":"Parse an integer number as valid operation atom.","ref":"XtbClient.Messages.Operation.html#parse/1","title":"XtbClient.Messages.Operation.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Operation.html#t:operation_code/0","title":"XtbClient.Messages.Operation.operation_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.Operation.html#t:t/0","title":"XtbClient.Messages.Operation.t/0","type":"type"},{"doc":"Specifies time interval - counted in multiples of minute.","ref":"XtbClient.Messages.Period.html","title":"XtbClient.Messages.Period","type":"module"},{"doc":"Formats period given as Period to number of minutes.","ref":"XtbClient.Messages.Period.html#format/1","title":"XtbClient.Messages.Period.format/1","type":"function"},{"doc":"Parses value given as number of minutes to Period atom type.","ref":"XtbClient.Messages.Period.html#parse/1","title":"XtbClient.Messages.Period.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Period.html#t:minute_period/0","title":"XtbClient.Messages.Period.minute_period/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.Period.html#t:t/0","title":"XtbClient.Messages.Period.t/0","type":"type"},{"doc":"Query result for profit calculation. Parameters profit profit in account currency. Handled Api methods getProfitCalculation","ref":"XtbClient.Messages.ProfitCalculation.html","title":"XtbClient.Messages.ProfitCalculation","type":"module"},{"doc":"","ref":"XtbClient.Messages.ProfitCalculation.html#match/2","title":"XtbClient.Messages.ProfitCalculation.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.ProfitCalculation.html#new/1","title":"XtbClient.Messages.ProfitCalculation.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ProfitCalculation.html#t:t/0","title":"XtbClient.Messages.ProfitCalculation.t/0","type":"type"},{"doc":"Info about query for calculation of profit. Parameters closePrice theoretical close price of order, cmd operation code, see XtbClient.Messages.Operation , openPrice theoretical open price of order, symbol symbol name, volume volume in lots.","ref":"XtbClient.Messages.ProfitCalculation.Query.html","title":"XtbClient.Messages.ProfitCalculation.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.ProfitCalculation.Query.html#new/1","title":"XtbClient.Messages.ProfitCalculation.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ProfitCalculation.Query.html#t:t/0","title":"XtbClient.Messages.ProfitCalculation.Query.t/0","type":"type"},{"doc":"Result of profit calculation. Parameters order_id order number, transaction_id transaction ID, position_no position number, profit profit in account currency, market_value market value, profit_calc_price profit calc price, profit_recalc_price profit recalc price. Handled Api methods getProfits","ref":"XtbClient.Messages.ProfitInfo.html","title":"XtbClient.Messages.ProfitInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.ProfitInfo.html#match/2","title":"XtbClient.Messages.ProfitInfo.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.ProfitInfo.html#new/1","title":"XtbClient.Messages.ProfitInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ProfitInfo.html#t:t/0","title":"XtbClient.Messages.ProfitInfo.t/0","type":"type"},{"doc":"Atoms representing profit mode.","ref":"XtbClient.Messages.ProfitMode.html","title":"XtbClient.Messages.ProfitMode","type":"module"},{"doc":"Parse an integer value to valid atom of profit mode.","ref":"XtbClient.Messages.ProfitMode.html#parse/1","title":"XtbClient.Messages.ProfitMode.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ProfitMode.html#t:proft_code/0","title":"XtbClient.Messages.ProfitMode.proft_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.ProfitMode.html#t:t/0","title":"XtbClient.Messages.ProfitMode.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.TickPrice s. Handled Api methods getTickPrices","ref":"XtbClient.Messages.Quotations.html","title":"XtbClient.Messages.Quotations","type":"module"},{"doc":"","ref":"XtbClient.Messages.Quotations.html#match/2","title":"XtbClient.Messages.Quotations.match/2","type":"function"},{"doc":"Info about query for tick prices. Parameters symbol symbol name, minArrivalTime this field is optional and defines the minimal interval in milliseconds between any two consecutive updates. If this field is not present, or it is set to 0 (zero), ticks - if available - are sent to the client with interval equal to 200 milliseconds. In order to obtain ticks as frequently as server allows you, set it to 1 (one). maxLevel this field is optional and specifies the maximum level of the quote that the user is interested in. If this field is not specified, the subscription is active for all levels that are managed in the system.","ref":"XtbClient.Messages.Quotations.Query.html","title":"XtbClient.Messages.Quotations.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.Quotations.Query.html#new/1","title":"XtbClient.Messages.Quotations.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Quotations.Query.html#t:t/0","title":"XtbClient.Messages.Quotations.Query.t/0","type":"type"},{"doc":"Info about quote for given day. Parameters: day day of week, from start time in Time CET / CEST time zone (see Daylight Saving Time, DST), to end time in Time CET / CEST time zone (see Daylight Saving Time, DST).","ref":"XtbClient.Messages.Quote.html","title":"XtbClient.Messages.Quote","type":"module"},{"doc":"","ref":"XtbClient.Messages.Quote.html#new/1","title":"XtbClient.Messages.Quote.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Quote.html#t:t/0","title":"XtbClient.Messages.Quote.t/0","type":"type"},{"doc":"Atoms representing quote ID.","ref":"XtbClient.Messages.QuoteId.html","title":"XtbClient.Messages.QuoteId","type":"module"},{"doc":"Parse an integer number as valid atom for quote ID.","ref":"XtbClient.Messages.QuoteId.html#parse/1","title":"XtbClient.Messages.QuoteId.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.QuoteId.html#t:quote_code/0","title":"XtbClient.Messages.QuoteId.quote_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.QuoteId.html#t:t/0","title":"XtbClient.Messages.QuoteId.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.Candle s. Parameters digits number of decimal places, data array of results. Handled Api methods getChartLastRequest getChartRangeRequest","ref":"XtbClient.Messages.RateInfos.html","title":"XtbClient.Messages.RateInfos","type":"module"},{"doc":"","ref":"XtbClient.Messages.RateInfos.html#match/2","title":"XtbClient.Messages.RateInfos.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.RateInfos.html#new/1","title":"XtbClient.Messages.RateInfos.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.RateInfos.html#t:t/0","title":"XtbClient.Messages.RateInfos.t/0","type":"type"},{"doc":"Info about current time on trading server. Parameters time actual time on server, time_string string version of time value. Handled Api methods getServerTime","ref":"XtbClient.Messages.ServerTime.html","title":"XtbClient.Messages.ServerTime","type":"module"},{"doc":"","ref":"XtbClient.Messages.ServerTime.html#match/2","title":"XtbClient.Messages.ServerTime.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.ServerTime.html#new/1","title":"XtbClient.Messages.ServerTime.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.ServerTime.html#t:t/0","title":"XtbClient.Messages.ServerTime.t/0","type":"type"},{"doc":"Info about one step rule. Parameters from_value lower border of the volume range, step lotStep value in the given volume range.","ref":"XtbClient.Messages.Step.html","title":"XtbClient.Messages.Step","type":"module"},{"doc":"","ref":"XtbClient.Messages.Step.html#new/1","title":"XtbClient.Messages.Step.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Step.html#t:t/0","title":"XtbClient.Messages.Step.t/0","type":"type"},{"doc":"Info about step rule definition. Parameters id step rule ID, name step rule name, steps array of XtbClient.Messages.Step s.","ref":"XtbClient.Messages.StepRule.html","title":"XtbClient.Messages.StepRule","type":"module"},{"doc":"","ref":"XtbClient.Messages.StepRule.html#new/1","title":"XtbClient.Messages.StepRule.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.StepRule.html#t:t/0","title":"XtbClient.Messages.StepRule.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.StepRule s. Parameters data array or results. Handled Api methods getStepRules","ref":"XtbClient.Messages.StepRules.html","title":"XtbClient.Messages.StepRules","type":"module"},{"doc":"","ref":"XtbClient.Messages.StepRules.html#match/2","title":"XtbClient.Messages.StepRules.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.StepRules.html#new/1","title":"XtbClient.Messages.StepRules.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.StepRules.html#t:t/0","title":"XtbClient.Messages.StepRules.t/0","type":"type"},{"doc":"Information relevant to the symbol of security. Please be advised that result values for profit and margin calculation can be used optionally, because server is able to perform all profit/margin calculations for Client application by commands described later in this document. Parameters ask ask price in base currency, bid bid price in base currency, category_name category name, contract_size size of 1 lot, currency currency, currency_pair indicates whether the symbol represents a currency pair, currency_profit the currency of calculated profit, description description, expiration expiration, null if not applicable, group_name symbol group name, high the highest price of the day in base currency, initial_margin initial margin for 1 lot order, used for profit/margin calculation, instant_max_volume maximum instant volume multiplied by 100 (in lots), leverage symbol leverage, long_only indicates whether the symbol is long only, lot_max maximum size of trade, lot_min minimum size of trade, lot_step a value of minimum step by which the size of trade can be changed (within lotMin - lotMax range), low the lowest price of the day in base currency, margin_hedged used for profit calculation, margin_hedged_strong for margin calculation, margin_maintenance for margin calculation, null if not applicable, margin_mode for margin calculation, percentage percentage, pips_precision number of symbol's pip decimal places, precision number of symbol's price decimal places, profit_mode for profit calculation, quote_id source of price, see XtbClient.Messages.QuoteId , short_selling indicates whether short selling is allowed on the instrument, spread_raw the difference between raw ask and bid prices, spread_table spread representation, starting null if not applicable, step_rule_id appropriate step rule ID from XtbClient.Connection.get_step_rules/1 command response, stops_level minimal distance (in pips) from the current price where the stopLoss/takeProfit can be set, swap_rollover_3_days time when additional swap is accounted for weekend, swap_enable indicates whether swap value is added to position on end of day, swap_long swwap value for long positions in pips, swap_short swap value for short positions in pips, swap_type type of swap calculated, symbol symbol name, tick_size smallest possible price change, used for profit/margin calculation, null if not applicable, tick_value value of smallest possible price change (in base currency), used for profit/margin calculation, null if not applicable, time ask &amp; bid tick time, time_string time in string, trailing_enabled indicates whether trailing stop (offset) is applicable to the instrument, type instrument class number. Handled Api methods getSymbol","ref":"XtbClient.Messages.SymbolInfo.html","title":"XtbClient.Messages.SymbolInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.SymbolInfo.html#match/2","title":"XtbClient.Messages.SymbolInfo.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.SymbolInfo.html#new/1","title":"XtbClient.Messages.SymbolInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.SymbolInfo.html#t:t/0","title":"XtbClient.Messages.SymbolInfo.t/0","type":"type"},{"doc":"Info about the query for symbol info. Parameters symbol symbol name.","ref":"XtbClient.Messages.SymbolInfo.Query.html","title":"XtbClient.Messages.SymbolInfo.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.SymbolInfo.Query.html#new/1","title":"XtbClient.Messages.SymbolInfo.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.SymbolInfo.Query.html#t:t/0","title":"XtbClient.Messages.SymbolInfo.Query.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.SymbolInfo s. Parameters data array or results. Handled Api methods getAllSymbols","ref":"XtbClient.Messages.SymbolInfos.html","title":"XtbClient.Messages.SymbolInfos","type":"module"},{"doc":"","ref":"XtbClient.Messages.SymbolInfos.html#match/2","title":"XtbClient.Messages.SymbolInfos.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.SymbolInfos.html#new/1","title":"XtbClient.Messages.SymbolInfos.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.SymbolInfos.html#t:t/0","title":"XtbClient.Messages.SymbolInfos.t/0","type":"type"},{"doc":"Info about symbol ticker + volume. Parameters symbol symbol name, volume volume in lots.","ref":"XtbClient.Messages.SymbolVolume.html","title":"XtbClient.Messages.SymbolVolume","type":"module"},{"doc":"","ref":"XtbClient.Messages.SymbolVolume.html#new/1","title":"XtbClient.Messages.SymbolVolume.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.SymbolVolume.html#t:t/0","title":"XtbClient.Messages.SymbolVolume.t/0","type":"type"},{"doc":"Info about one tick of price. Parameters ask ask price in base currency, ask_volume number of available lots to buy at given price or null if not applicable bid bid price in base currency, bid_volume number of available lots to buy at given price or null if not applicable, exe_mode exe mode, high the highest price of the day in base currency, level price level, low the lowest price of the day in base currency, quote_id quote ID or null if not applicable, see XtbClient.Messages.QuoteId , spread_raw the difference between raw ask and bid prices, spread_table spread representation, symbol symbol, timestamp timestamp.","ref":"XtbClient.Messages.TickPrice.html","title":"XtbClient.Messages.TickPrice","type":"module"},{"doc":"","ref":"XtbClient.Messages.TickPrice.html#new/1","title":"XtbClient.Messages.TickPrice.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TickPrice.html#t:t/0","title":"XtbClient.Messages.TickPrice.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.TickPrice s. Parameters data array or results. Handled Api methods getTickPrices","ref":"XtbClient.Messages.TickPrices.html","title":"XtbClient.Messages.TickPrices","type":"module"},{"doc":"","ref":"XtbClient.Messages.TickPrices.html#match/2","title":"XtbClient.Messages.TickPrices.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TickPrices.html#new/1","title":"XtbClient.Messages.TickPrices.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TickPrices.html#t:t/0","title":"XtbClient.Messages.TickPrices.t/0","type":"type"},{"doc":"Info about the query for tick prices. Parameters level price level (possible values of level field: -1 =&gt; all levels, 0 =&gt; base level bid and ask price for instrument, &gt;0 =&gt; specified level), symbols array of symbol names, timestamp the time from which the most recent tick should be looked for. Historical prices cannot be obtained using this parameter. It can only be used to verify whether a price has changed since the given time.","ref":"XtbClient.Messages.TickPrices.Query.html","title":"XtbClient.Messages.TickPrices.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.TickPrices.Query.html#new/1","title":"XtbClient.Messages.TickPrices.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TickPrices.Query.html#t:t/0","title":"XtbClient.Messages.TickPrices.Query.t/0","type":"type"},{"doc":"Info about the trade that has happened. Parameters close_price close price in base currency, close_time null if order is not closed, closed closed, operation operation code, see XtbClient.Messages.Operation , comment comment, commission commission in account currency, null if not applicable, custom_comment the value the customer may provide in order to retrieve it later, digits number of decimal places, expiration null if order is not closed, margin_rate margin rate, nominal_value nominal value, null if not applicable, offset trailing offset, open_price open price in base currency, open_time open time, order_opened order number for opened transaction, order_closed order number for closed transaction, position order number common both for opened and closed transaction, profit profit in account currency, stop_loss zero if stop loss is not set (in base currency), spread spread, state state, storage order swaps in account currency, symbol symbol name or null for deposit/withdrawal operations, taxes taxes, timestamp timestamp, take_profit zero if take profit is not set (in base currency), type type, volume volume in lots.","ref":"XtbClient.Messages.TradeInfo.html","title":"XtbClient.Messages.TradeInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeInfo.html#new/1","title":"XtbClient.Messages.TradeInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeInfo.html#t:t/0","title":"XtbClient.Messages.TradeInfo.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.TradeInfo s. Parameters data array or results. Handled Api methods getTradeRecords getTrades getTradesHistory","ref":"XtbClient.Messages.TradeInfos.html","title":"XtbClient.Messages.TradeInfos","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeInfos.html#match/2","title":"XtbClient.Messages.TradeInfos.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeInfos.html#new/1","title":"XtbClient.Messages.TradeInfos.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeInfos.html#t:t/0","title":"XtbClient.Messages.TradeInfos.t/0","type":"type"},{"doc":"Info about query for trade infos. Parameters orders array of order IDs.","ref":"XtbClient.Messages.TradeInfos.Query.html","title":"XtbClient.Messages.TradeInfos.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeInfos.Query.html#new/1","title":"XtbClient.Messages.TradeInfos.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeInfos.Query.html#t:t/0","title":"XtbClient.Messages.TradeInfos.Query.t/0","type":"type"},{"doc":"Info about the actual status of sent trade request. Parameters custom_comment the value the customer may provide in order to retrieve it later, message message, can be null , order unique order number, price price in base currency, status request status code, see XtbClient.Messages.TransactionStatus . Handled Api methods getTradeStatus","ref":"XtbClient.Messages.TradeStatus.html","title":"XtbClient.Messages.TradeStatus","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeStatus.html#match/2","title":"XtbClient.Messages.TradeStatus.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeStatus.html#new/1","title":"XtbClient.Messages.TradeStatus.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeStatus.html#t:t/0","title":"XtbClient.Messages.TradeStatus.t/0","type":"type"},{"doc":"Info about realized trade transaction. Parameters order holds info about order number, needed later for verification about order status. Handled Api methods tradeTransaction","ref":"XtbClient.Messages.TradeTransaction.html","title":"XtbClient.Messages.TradeTransaction","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.html#match/2","title":"XtbClient.Messages.TradeTransaction.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.html#new/1","title":"XtbClient.Messages.TradeTransaction.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.html#t:t/0","title":"XtbClient.Messages.TradeTransaction.t/0","type":"type"},{"doc":"Info about command to trade the transaction. Parameters cmd operation code, see XtbClient.Messages.Operation , customComment the value the customer may provide in order to retrieve it later, expiration pending order expiration time, offset trailing offset, order 0 or position number for closing/modifications, price trade price, sl stop loss, tp take profit, symbol trade symbol, type trade transaction type, see XtbClient.Messages.TradeType , volume trade volume.","ref":"XtbClient.Messages.TradeTransaction.Command.html","title":"XtbClient.Messages.TradeTransaction.Command","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#custom_comment/2","title":"XtbClient.Messages.TradeTransaction.Command.custom_comment/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#expiration/2","title":"XtbClient.Messages.TradeTransaction.Command.expiration/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#new/1","title":"XtbClient.Messages.TradeTransaction.Command.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#offset/2","title":"XtbClient.Messages.TradeTransaction.Command.offset/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#operation/2","title":"XtbClient.Messages.TradeTransaction.Command.operation/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#order/2","title":"XtbClient.Messages.TradeTransaction.Command.order/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#price/2","title":"XtbClient.Messages.TradeTransaction.Command.price/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#stop_loss/2","title":"XtbClient.Messages.TradeTransaction.Command.stop_loss/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#symbol/2","title":"XtbClient.Messages.TradeTransaction.Command.symbol/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#take_profit/2","title":"XtbClient.Messages.TradeTransaction.Command.take_profit/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#type/2","title":"XtbClient.Messages.TradeTransaction.Command.type/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#volume/2","title":"XtbClient.Messages.TradeTransaction.Command.volume/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransaction.Command.html#t:t/0","title":"XtbClient.Messages.TradeTransaction.Command.t/0","type":"type"},{"doc":"Info about the status of particular transaction. Parameters ask price in base currency, bid price in base currency, custom_comment the value the customer may provide in order to retrieve it later, message can be null , order unique order number, status request status code, see XtbClient.Messages.TradeStatus . Handled Api methods tradeTransactionStatus","ref":"XtbClient.Messages.TradeTransactionStatus.html","title":"XtbClient.Messages.TradeTransactionStatus","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeTransactionStatus.html#match/2","title":"XtbClient.Messages.TradeTransactionStatus.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransactionStatus.html#new/1","title":"XtbClient.Messages.TradeTransactionStatus.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransactionStatus.html#t:t/0","title":"XtbClient.Messages.TradeTransactionStatus.t/0","type":"type"},{"doc":"Info about query for trade transaction status. Parameters order unique order number.","ref":"XtbClient.Messages.TradeTransactionStatus.Query.html","title":"XtbClient.Messages.TradeTransactionStatus.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradeTransactionStatus.Query.html#new/1","title":"XtbClient.Messages.TradeTransactionStatus.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeTransactionStatus.Query.html#t:t/0","title":"XtbClient.Messages.TradeTransactionStatus.Query.t/0","type":"type"},{"doc":"Atoms representing operation types. Values :open order open, used for opening orders, :pending order pending, only used in the streaming XtbClient.Connection.subscribe_get_trades/2 command, :close order close, :modify order modify, only used in the XtbClient.Connection.trade_transaction/2 command, :delete order delete, only used in the XtbClient.Connection.trade_transaction/2 command.","ref":"XtbClient.Messages.TradeType.html","title":"XtbClient.Messages.TradeType","type":"module"},{"doc":"Format atom representing trade type to integer value.","ref":"XtbClient.Messages.TradeType.html#format/1","title":"XtbClient.Messages.TradeType.format/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradeType.html#t:t/0","title":"XtbClient.Messages.TradeType.t/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.TradeType.html#t:trade_code/0","title":"XtbClient.Messages.TradeType.trade_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.Trades.html","title":"XtbClient.Messages.Trades","type":"module"},{"doc":"Info about the query for trades. Parameters openedOnly if true then only opened trades will be returned.","ref":"XtbClient.Messages.Trades.Query.html","title":"XtbClient.Messages.Trades.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.Trades.Query.html#new/1","title":"XtbClient.Messages.Trades.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Trades.Query.html#t:t/0","title":"XtbClient.Messages.Trades.Query.t/0","type":"type"},{"doc":"Info about one available trading hour. Parameters quotes array of XtbClient.Messages.Quote s representing available quotes hours, symbol symbol name, trading array of XtbClient.Messages.Quote s representing available trading hours.","ref":"XtbClient.Messages.TradingHour.html","title":"XtbClient.Messages.TradingHour","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradingHour.html#new/1","title":"XtbClient.Messages.TradingHour.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradingHour.html#t:t/0","title":"XtbClient.Messages.TradingHour.t/0","type":"type"},{"doc":"Query result for list of XtbClient.Messages.TradingHour s. Parameters data array or results. Handled Api methods getTradingHours","ref":"XtbClient.Messages.TradingHours.html","title":"XtbClient.Messages.TradingHours","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradingHours.html#match/2","title":"XtbClient.Messages.TradingHours.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradingHours.html#new/1","title":"XtbClient.Messages.TradingHours.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradingHours.html#t:t/0","title":"XtbClient.Messages.TradingHours.t/0","type":"type"},{"doc":"Info about the query for trading hours. Parameters symbols array of symbol names.","ref":"XtbClient.Messages.TradingHours.Query.html","title":"XtbClient.Messages.TradingHours.Query","type":"module"},{"doc":"","ref":"XtbClient.Messages.TradingHours.Query.html#new/1","title":"XtbClient.Messages.TradingHours.Query.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TradingHours.Query.html#t:t/0","title":"XtbClient.Messages.TradingHours.Query.t/0","type":"type"},{"doc":"Atoms representing transaction statuses.","ref":"XtbClient.Messages.TransactionStatus.html","title":"XtbClient.Messages.TransactionStatus","type":"module"},{"doc":"Parse integer value as valid atom for transaction status.","ref":"XtbClient.Messages.TransactionStatus.html#parse/1","title":"XtbClient.Messages.TransactionStatus.parse/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.TransactionStatus.html#t:status_code/0","title":"XtbClient.Messages.TransactionStatus.status_code/0","type":"type"},{"doc":"","ref":"XtbClient.Messages.TransactionStatus.html#t:t/0","title":"XtbClient.Messages.TransactionStatus.t/0","type":"type"},{"doc":"Info about the current user. Parameters company_unit unit the account is assigned to, currency account currency, group group name, ib_account indicates whether this account is an IB account, leverage_mult the factor used for margin calculations, spread_type spread type, null if not applicable, trailing_stop indicates whether this account is enabled to use trailing stop. Handled Api methods getCurrentUserData","ref":"XtbClient.Messages.UserInfo.html","title":"XtbClient.Messages.UserInfo","type":"module"},{"doc":"","ref":"XtbClient.Messages.UserInfo.html#match/2","title":"XtbClient.Messages.UserInfo.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.UserInfo.html#new/1","title":"XtbClient.Messages.UserInfo.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.UserInfo.html#t:t/0","title":"XtbClient.Messages.UserInfo.t/0","type":"type"},{"doc":"Info about actual version of Api. Parameters version string version of Api. Handled Api methods getVersion","ref":"XtbClient.Messages.Version.html","title":"XtbClient.Messages.Version","type":"module"},{"doc":"","ref":"XtbClient.Messages.Version.html#match/2","title":"XtbClient.Messages.Version.match/2","type":"function"},{"doc":"","ref":"XtbClient.Messages.Version.html#new/1","title":"XtbClient.Messages.Version.new/1","type":"function"},{"doc":"","ref":"XtbClient.Messages.Version.html#t:t/0","title":"XtbClient.Messages.Version.t/0","type":"type"},{"doc":"","ref":"XtbClient.StreamingMessage.html","title":"XtbClient.StreamingMessage","type":"module"},{"doc":"","ref":"XtbClient.StreamingMessage.html#decode_method_name/1","title":"XtbClient.StreamingMessage.decode_method_name/1","type":"function"},{"doc":"","ref":"XtbClient.StreamingMessage.html#encode_token/1","title":"XtbClient.StreamingMessage.encode_token/1","type":"function"},{"doc":"","ref":"XtbClient.StreamingMessage.html#new/3","title":"XtbClient.StreamingMessage.new/3","type":"function"},{"doc":"","ref":"XtbClient.StreamingMessage.html#t:t/0","title":"XtbClient.StreamingMessage.t/0","type":"type"},{"doc":"","ref":"XtbClient.StreamingMessage.html#t:token/0","title":"XtbClient.StreamingMessage.token/0","type":"type"},{"doc":"WebSocket server used for asynchronous communication. StreamingSocket is being used like standard GenServer - could be started with start_link/1 and supervised. After successful connection to WebSocket the flow is: process schedules to itself the ping command (with recurring interval) - to maintain persistent connection with backend.","ref":"XtbClient.StreamingSocket.html","title":"XtbClient.StreamingSocket","type":"module"},{"doc":"Starts a XtbClient.StreamingSocket process linked to the calling process.","ref":"XtbClient.StreamingSocket.html#start_link/1","title":"XtbClient.StreamingSocket.start_link/1","type":"function"},{"doc":"Subscribes pid process for messages from method query. Arguments server pid of the streaming socket process, caller pid of the caller awaiting for the result, message struct with call context, see XtbClient.StreamingMessage . Result of the query will be delivered to message mailbox of the caller process.","ref":"XtbClient.StreamingSocket.html#subscribe/3","title":"XtbClient.StreamingSocket.subscribe/3","type":"function"},{"doc":"","ref":"XtbClient.StreamingSocket.html#t:client/0","title":"XtbClient.StreamingSocket.client/0","type":"type"},{"doc":"Elixir client for the XTB trading platform. Library provides simple client written as GenServer intended to be started as a process to communicate with XTB server. As all regular OTP processes, the process for XtbClient.Connection could be supervised, registered locally or in distributed environment, monitored, traced, linked to other processes etc.","ref":"readme.html","title":"XtbClient","type":"extras"},{"doc":"The package can be installed by adding xtb_client_ex to your list of dependencies in mix.exs : def deps do [ { :xtb_client_ex , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"XtbClient - Installation","type":"extras"},{"doc":"Find more examples in the folder examples/ . Starting client connection params = %{ app_name : &quot;XtbClient&quot; , type : :demo , url : &quot;wss://ws.xtb.com&quot; , user : &quot;&lt;&lt;USER_ID&gt;&gt;&quot; , password : &quot;&lt;&lt;PASSWORD&gt;&gt;&quot; } { :ok , pid } = XtbClient.Connection . start_link ( params ) Subscribe to tick prices Code . require_file ( &quot;./examples/stream_listener.ex&quot; ) params = %{ app_name : &quot;XtbClient&quot; , type : :demo , url : &quot;wss://ws.xtb.com&quot; , user : &quot;&lt;&lt;USER_ID&gt;&gt;&quot; , password : &quot;&lt;&lt;PASSWORD&gt;&gt;&quot; } { :ok , cpid } = XtbClient.Connection . start_link ( params ) args = %{ symbol : &quot;LITECOIN&quot; } query = XtbClient.Messages.Quotations.Query . new ( args ) { :ok , litecoin } = StreamListener . start_link ( %{ &quot;name&quot; =&gt; args . symbol } ) XtbClient.Connection . subscribe_get_tick_prices ( cpid , litecoin , query ) Listener handle info : { :ok , % XtbClient.Messages.TickPrice { ask : 131.45 , ask_volume : 250 , bid : 130.46 , bid_volume : 250 , exe_mode : nil , high : 132.38 , level : 3 , low : 127.94 , quote_id : :five , spread_raw : 0.99 , spread_table : 0.99 , symbol : &quot;LITECOIN&quot; , timestamp : ~U[2022-03-28 21:31:21.126Z] } } Listener handle info : { :ok , % XtbClient.Messages.TickPrice { ask : 131.54 , ask_volume : 500 , bid : 130.39 , bid_volume : 500 , exe_mode : nil , high : 132.38 , level : 4 , low : 127.94 , quote_id : :five , spread_raw : 1.15 , spread_table : 1.15 , symbol : &quot;LITECOIN&quot; , timestamp : ~U[2022-03-28 21:31:21.126Z] } } ... Subscribe to candles Code . require_file ( &quot;./examples/stream_listener.ex&quot; ) params = %{ app_name : &quot;XtbClient&quot; , type : :demo , url : &quot;wss://ws.xtb.com&quot; , user : &quot;&lt;&lt;USER_ID&gt;&gt;&quot; , password : &quot;&lt;&lt;PASSWORD&gt;&gt;&quot; } { :ok , cpid } = XtbClient.Connection . start_link ( params ) args = &quot;LITECOIN&quot; query = XtbClient.Messages.Candles.Query . new ( args ) { :ok , litecoin } = StreamListener . start_link ( %{ &quot;name&quot; =&gt; args } ) XtbClient.Connection . subscribe_get_candles ( cpid , litecoin , query ) Listener handle info : { :ok , % XtbClient.Messages.Candle { close : 130.69 , ctm : ~U[2022-03-28 21:29:00.000Z] , ctm_string : &quot;Mar 28, 2022, 11:29:00 PM&quot; , high : 130.7 , low : 130.63 , open : 130.64 , quote_id : :five , symbol : &quot;LITECOIN&quot; , vol : 257.0 } } Listener handle info : { :ok , % XtbClient.Messages.Candle { close : 130.65 , ctm : ~U[2022-03-28 21:30:00.000Z] , ctm_string : &quot;Mar 28, 2022, 11:30:00 PM&quot; , high : 130.7 , low : 130.64 , open : 130.68 , quote_id : :five , symbol : &quot;LITECOIN&quot; , vol : 216.0 } } ...","ref":"readme.html#usage","title":"XtbClient - Usage","type":"extras"}]